OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_CopyShape Class Reference

`#include <TNaming_CopyShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | CopyTool (const TopoDS_Shape &aShape, TColStd_IndexedDataMapOfTransientTransient &aMap, TopoDS_Shape &aResult)
| Makes copy a set of shape(s), using the aMap .
static Standard_EXPORT void | Translate (const TopoDS_Shape &aShape, TColStd_IndexedDataMapOfTransientTransient &aMap, TopoDS_Shape &aResult, const Handle(TNaming_TranslateTool)&TrTool)
| Translates a Transient shape(s) to Transient .
static Standard_EXPORT TopLoc_Location | Translate (const TopLoc_Location &L, TColStd_IndexedDataMapOfTransientTransient &aMap)
| Translates a Topological Location to an other Top. Location .

## Member Function Documentation

static Standard_EXPORT void TNaming_CopyShape::CopyTool | ( | const TopoDS_Shape & | aShape,
|  | TColStd_IndexedDataMapOfTransientTransient & | aMap,
|  | TopoDS_Shape & | aResult
| ) | `[static]`

void TNaming_CopyShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_CopyShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_CopyShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT TopLoc_Location TNaming_CopyShape::Translate | ( | const TopLoc_Location & | L,
|  | TColStd_IndexedDataMapOfTransientTransient & | aMap
| ) | `[static]`

static Standard_EXPORT void TNaming_CopyShape::Translate | ( | const TopoDS_Shape & | aShape,
|  | TColStd_IndexedDataMapOfTransientTransient & | aMap,
|  | TopoDS_Shape & | aResult,
|  | const Handle(TNaming_TranslateTool)& | TrTool
| ) | `[static]`

The documentation for this class was generated from the following file:

- TNaming_CopyShape.hxx